TemplateSpec Class

Template Spec object.

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
azure.mgmt.resource.templatespecs.v2021_03_01_preview.models._models_py3.AzureResourceBase
TemplateSpec

Constructor

TemplateSpec(*, location: str, tags: Optional[Dict[str, str]] = None, description: Optional[str] = None, display_name: Optional[str] = None, metadata: Optional[Any] = None, **kwargs)

Variables

id
str

String Id used to locate any resource on Azure.

name
str

Name of this resource.

type
str

Type of this resource.

system_data
SystemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

location
str

Required. The location of the Template Spec. It cannot be changed after Template Spec creation. It must be one of the supported Azure locations.

tags
dict[str, str]

A set of tags. Resource tags.

description
str

Template Spec description.

display_name
str

Template Spec display name.

metadata
any

The Template Spec metadata. Metadata is an open-ended object and is typically a collection of key-value pairs.

versions
dict[<xref:str,azure.mgmt.resource.templatespecs.v2021_03_01_preview.models.TemplateSpecVersionInfo>]

High-level information about the versions within this Template Spec. The keys are the version names. Only populated if the $expand query parameter is set to 'versions'.